Bug 980898 - SELinux is preventing /usr/sbin/xl2tpd from 'create' accesses on the fifo_file nm-xl2tpd_l2tp-control.2213.
SELinux is preventing /usr/sbin/xl2tpd from 'create' accesses on the fifo_fil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:20b7e15c1dd69dfa82075595f08...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 09:19 EDT by Айфф
Modified: 2013-07-13 23:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-63.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 23:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Айфф 2013-07-03 09:19:44 EDT
Description of problem:
SELinux is preventing /usr/sbin/xl2tpd from 'create' accesses on the fifo_file nm-xl2tpd_l2tp-control.2213.

*****  Plugin catchall (100. confidence) suggests  ***************************

If вы считаете, что xl2tpd следует разрешить доступ create к nm-xl2tpd_l2tp-control.2213 fifo_file по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
чтобы разрешить доступ, выполните:
# grep xl2tpd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:l2tpd_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                nm-xl2tpd_l2tp-control.2213 [ fifo_file ]
Source                        xl2tpd
Source Path                   /usr/sbin/xl2tpd
Port                          <Неизвестно>
Host                          (removed)
Source RPM Packages           xl2tpd-1.3.1-13.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-54.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.8-300.fc19.x86_64 #1 SMP Thu
                              Jun 27 19:24:23 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-07-03 16:15:38 FET
Last Seen                     2013-07-03 16:16:20 FET
Local ID                      71513c73-0701-434a-9b50-39b4270fbeb7

Raw Audit Messages
type=AVC msg=audit(1372857380.432:540): avc:  denied  { create } for  pid=2216 comm="xl2tpd" name="nm-xl2tpd_l2tp-control.2213" scontext=system_u:system_r:l2tpd_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=fifo_file


type=SYSCALL msg=audit(1372857380.432:540): arch=x86_64 syscall=mknod success=no exit=EACCES a0=7f7ae2f68df8 a1=1180 a2=0 a3=8 items=0 ppid=2213 pid=2216 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=xl2tpd exe=/usr/sbin/xl2tpd subj=system_u:system_r:l2tpd_t:s0 key=(null)

Hash: xl2tpd,l2tpd_t,var_run_t,fifo_file,create

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.8-300.fc19.x86_64
type:           libreport
Comment 1 tuxor 2013-07-08 11:13:45 EDT
Description of problem:
Try connection to a Cisco VPN via NetworkManager (using vpnc plugin).

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport
Comment 2 Daniel Walsh 2013-07-08 14:25:29 EDT
Do you know what directory this fifo_file was being created in?
Comment 3 Daniel Walsh 2013-07-08 14:26:14 EDT
397970172e0b2cbcb4eea306b465d97ddf047129 fixes this in git.
Comment 4 Fedora Update System 2013-07-11 04:58:03 EDT
selinux-policy-3.12.1-63.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-63.fc19
Comment 5 Fedora Update System 2013-07-11 22:57:35 EDT
Package selinux-policy-3.12.1-63.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-63.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12762/selinux-policy-3.12.1-63.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-13 23:39:04 EDT
selinux-policy-3.12.1-63.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.